> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks for a project

> List project webhooks (signing secrets omitted).



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /projects/{project_id}/webhooks
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}/webhooks:
    get:
      tags:
        - project-webhooks
      summary: List webhooks for a project
      description: List project webhooks (signing secrets omitted).
      operationId: list_project_webhooks_projects__project_id__webhooks_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ProjectWebhook_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_ProjectWebhook_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProjectWebhook'
          type: array
          title: Items
        count:
          type: integer
          title: Count
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - count
        - total
      title: PaginatedResponse[ProjectWebhook]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectWebhook:
      properties:
        id:
          type: string
          title: Id
        project_id:
          type: string
          title: Project Id
        organization_id:
          type: string
          title: Organization Id
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        enabled:
          type: boolean
          title: Enabled
        consecutive_failures:
          type: integer
          title: Consecutive Failures
          default: 0
        disabled_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Disabled Reason
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - project_id
        - organization_id
        - url
        - events
        - enabled
        - created_at
        - updated_at
      title: ProjectWebhook
      description: A project webhook as returned by list/get (secret omitted).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````